unpublishTrustCenter
Unpublish the Trust Center, hiding it from public access
unpublishTrustCenter(
input: UnpublishTrustCenterInput!
): UnpublishTrustCenterPayload
Arguments
unpublishTrustCenter.input ● UnpublishTrustCenterInput! non-null input
Parameters for UnpublishTrustCenter
Type
UnpublishTrustCenterPayload object
Autogenerated return type of UnpublishTrustCenter.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the trustCenters query first and use data.trustCenters.collection[].id as trustCenterId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUnpublishTrustCenter($input: UnpublishTrustCenterInput!) {\n unpublishTrustCenter(input: $input) { clientMutationId trustCenter { id application { __typename } asset { __typename } } }\n}","variables":{"input":{"trustCenterId":1}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateUnpublishTrustCenter($input: UnpublishTrustCenterInput!) {\n unpublishTrustCenter(input: $input) { clientMutationId trustCenter { id application { __typename } asset { __typename } } }\n}",
variables: {
"input": {
"trustCenterId": 1
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateUnpublishTrustCenter($input: UnpublishTrustCenterInput!) {\n unpublishTrustCenter(input: $input) { clientMutationId trustCenter { id application { __typename } asset { __typename } } }\n}",
'variables': json.loads("{\"input\":{\"trustCenterId\":1}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute